> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ad Placements

> Returns a list of ad placements and a reward for each

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/client/client.openapi.json post /Client/GetAdPlacements
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Client API
  description: >-
    APIs which provide the full range of PlayFab features available to the
    client - authentication, account and data management, inventory, friends,
    matchmaking, reporting, and platform-specific functionality
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Advertising
    description: Advertising APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Trading
    description: Trading Management APIs
paths:
  /Client/GetAdPlacements:
    post:
      tags:
        - Advertising
      summary: Get Ad Placements
      description: |
        Returns a list of ad placements and a reward for each

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | ProductDisabledForTitle | 1609 |
      operationId: GetAdPlacements
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetAdPlacementsRequest'
        description: Using an AppId to return a list of valid ad placements for a player.
      responses:
        '200':
          $ref: '#/components/responses/GetAdPlacementsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SessionTicket: []
components:
  schemas:
    GetAdPlacementsRequest:
      description: Using an AppId to return a list of valid ad placements for a player.
      type: object
      properties:
        AppId:
          description: The current AppId to use
          type: string
        Identifier:
          allOf:
            - $ref: '#/components/schemas/NameIdentifier'
          description: >-
            Using the name or unique identifier, filter the result for get a
            specific placement.
      required:
        - AppId
      example:
        AppId: A12784B
        Identifier:
          Name: PowerBonusInterstitial
    NameIdentifier:
      description: >-
        Identifier by either name or ID. Note that a name may change due to
        renaming, or reused after being deleted. ID is immutable and unique.
      type: object
      properties:
        Id:
          description: Id Identifier, if present
          type: string
        Name:
          description: Name Identifier, if present
          type: string
      example:
        Name: MyTask
        Id: d739e188-22f6-4d13-a4d5-df2e93d4d2f7
    GetAdPlacementsResult:
      description: Array of AdPlacementDetails
      type: object
      properties:
        AdPlacements:
          description: Array of results
          type: array
          items:
            $ref: '#/components/schemas/AdPlacementDetails'
          x-isclass: true
      example:
        AdPlacements:
          - PlacementId: A124572382B
            PlacementName: PowerBonusInterstitial
            RewardId: B2674981A
            RewardName: PowerBonusReward
            RewardAssetUrl: https://cdn.test.com/PowerBonusReward.png
            PlacementViewsRemaining: 1
            PlacementViewsResetMinutes: 37
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    AdPlacementDetails:
      description: A single ad placement details including placement and reward information
      type: object
      properties:
        PlacementId:
          description: Placement unique ID
          type: string
        PlacementName:
          description: Placement name
          type: string
        PlacementViewsRemaining:
          description: If placement has viewing limits indicates how many views are left
          type: number
          x-actualtype: int32
        PlacementViewsResetMinutes:
          description: If placement has viewing limits indicates when they will next reset
          type: number
          x-actualtype: double
        RewardAssetUrl:
          description: Optional URL to a reward asset
          type: string
        RewardDescription:
          description: Reward description
          type: string
        RewardId:
          description: Reward unique ID
          type: string
        RewardName:
          description: Reward name
          type: string
  responses:
    GetAdPlacementsResult:
      description: Array of AdPlacementDetails
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetAdPlacementsResult'
            example:
              code: 200
              status: OK
              data:
                AdPlacements:
                  - PlacementId: A124572382B
                    PlacementName: PowerBonusInterstitial
                    RewardId: B2674981A
                    RewardName: PowerBonusReward
                    RewardAssetUrl: https://cdn.test.com/PowerBonusReward.png
                    PlacementViewsRemaining: 1
                    PlacementViewsResetMinutes: 37
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SessionTicket:
      type: apiKey
      in: header
      name: X-Authorization
      description: >-
        This API requires a client session ticket, available from any Client
        Login function.

````

## Related topics

- [Get Ad Placements](/services/playfab/api-references/rest/client/advertising/get-ad-placements.md)
- [Getting started with rewarded Ads.](/services/playfab/economy-monetization/rewarded-ads/quickstart.md)
- [What are rewarded Ads?](/services/playfab/economy-monetization/rewarded-ads/index.md)
- [PlayStream event model reference for PlayFab](/services/playfab/api-references/events/index.md)
- [Events](/services/xbox-services/player-data/stats-leaderboards/event-based/events/index.md)
